JavaScript/jQuery TreeView - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Shift + Mouse Wheel | Scrolls the content left/right if the scrollDirection property is "horizontal" or "both". |
↑ / ↓ | Moves focus to the previous/next node. |
Home / End | Moves focus to the first/last node. |
→ | Expands the node. |
← | Collapses the node. |
Asterisk Sign (*) | Expands all nodes. Available only if expandAllEnabled is set to true. |
Minus Sign (-) | Collapses all nodes. Available only if expandAllEnabled is set to true. |
Enter or Space | Selects the node. |
Shift + ↑ / Shift + ↓ | Extends selection up/down by one node. |
Shift + Home | Extends selection up to the first node. |
Shift + End | Extends selection down to the last node. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const treeView = $("#treeViewContainer").dxTreeView("instance");
- treeView.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- treeView.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

React TreeView - Keyboard Support
An end user can use the following keys to interact with the UI component.
Key | Action |
---|---|
Shift + Mouse Wheel | Scrolls the content left/right if the scrollDirection property is "horizontal" or "both". |
↑ / ↓ | Moves focus to the previous/next node. |
Home / End | Moves focus to the first/last node. |
→ | Expands the node. |
← | Collapses the node. |
Asterisk Sign (*) | Expands all nodes. Available only if expandAllEnabled is set to true. |
Minus Sign (-) | Collapses all nodes. Available only if expandAllEnabled is set to true. |
Enter or Space | Selects the node. |
Shift + ↑ / Shift + ↓ | Extends selection up/down by one node. |
Shift + Home | Extends selection up to the first node. |
Shift + End | Extends selection down to the last node. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
App.js
- import React from 'react';
- import 'devextreme/dist/css/dx.light.css';
- import { TreeView } from 'devextreme-react/tree-view';
- class App extends React.Component {
- constructor(props) {
- super(props);
- this.treeViewRef = React.createRef();
- }
- render() {
- return (
- <TreeView ref={this.treeViewRef} />
- );
- }
- get treeView() {
- return this.treeViewRef.current.instance;
- }
- componentDidMount() {
- this.treeView.registerKeyHandler('backspace', function(e) {
- // The argument "e" contains information on the event
- });
- this.treeView.registerKeyHandler('space', function(e) {
- // ...
- });
- }
- }
- export default App;
See Also
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.